com.amazonaws.codegen.model.service

## Class AuthTypeDeserializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<AuthType>
  - - com.amazonaws.codegen.model.service.AuthTypeDeserializer

    public class AuthTypeDeserializer
    extends com.fasterxml.jackson.databind.JsonDeserializer<AuthType>

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`com.fasterxml.jackson.databind.JsonDeserializer.None`

### Constructor Summary

Constructors
Constructor and Description
`AuthTypeDeserializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`AuthType` `deserialize(com.fasterxml.jackson.core.JsonParser p, com.fasterxml.jackson.databind.DeserializationContext ctxt)`

### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`deserialize, deserializeWithType, findBackReference, getDelegatee, getEmptyValue, getEmptyValue, getKnownPropertyNames, getNullValue, getNullValue, getObjectIdReader, handledType, isCachable, replaceDelegatee, unwrappingDeserializer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AuthTypeDeserializer

    public AuthTypeDeserializer()

### Method Detail

#### deserialize

    public AuthType deserialize(com.fasterxml.jackson.core.JsonParser p,
                                com.fasterxml.jackson.databind.DeserializationContext ctxt)
                         throws IOException

Specified by:
  `deserialize` in class `com.fasterxml.jackson.databind.JsonDeserializer<AuthType>`
Throws:
  `IOException`